csr_mpi.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciate_class(T)
#define | _RHEOLEF_istanciate(T)

## Functions

template<class T , class BinaryOp >
void | csr_ext_add (const csr_rep< T, sequential > &a, const std::vector< typename csr< T >::size_type > &jext_a2dis_j, const csr_rep< T, sequential > &b, const std::vector< typename csr< T >::size_type > &jext_b2dis_j, csr_rep< T, sequential > &c, std::vector< typename csr< T >::size_type > &jext_c2dis_j, BinaryOp binop)

## Macro Definition Documentation

## _RHEOLEF_instanciate_class

#define _RHEOLEF_instanciate_class | ( |  | T | ) |

Value:
template void csr_rep<T,distributed>::build_from_asr (const asr<T,distributed,std::allocator<T> >&); \
template void csr_rep<T,distributed>::build_from_asr (const asr<T,distributed,heap_allocator<T> >&);
T
Expr1::float_type T
Definition: field_expr.h:261

Definition at line 694 of file csr_mpi.cc.

## _RHEOLEF_istanciate

#define _RHEOLEF_istanciate | ( |  | T | ) |

Value:
template class csr_rep<T,distributed>; \
template void csr_rep<T,distributed>::assign_add ( \
const csr_rep<T,distributed>&, \
const csr_rep<T,distributed>&, \
std::plus<T>); \
template void csr_rep<T,distributed>::assign_add ( \
const csr_rep<T,distributed>&, \
const csr_rep<T,distributed>&, \
std::minus<T>); \
_RHEOLEF_instanciate_class(T)

Definition at line 699 of file csr_mpi.cc.